Subject: bug#17558: 24.4.50; global-subword-mode breaks ERC

From: Daniel Colascione <[email-masked]>
Date: Fri, 23 May 2014 13:51:20 -0700

On 05/23/2014 02:19 AM, Dima Kogan wrote:
> Hi. I'm using a very recent build of emacs from the VCS. With this build
> ERC gets very confused if global-subword-mode is on. I believe it worked
> fine just a few months ago.
> 
> Recipe:
> 
> 1. emacs -Q
> 2. (global-subword-mode)
> 3. M-x erc
> 4. Default values for the server, nickname, password, etc are fine to
> show the issue

Thanks for the repro. This bug is probably due to my changing how
subword-mode works: now, forward-word will stop at subword boundaries,
and I'm guessing ERC was relying on the old behavior. I can try to take
a look at it if nobody who knows ERC better wants to try first.